% Anaphorische Pronomenauflösung
:- [grammatik],  % Tokenisierung und Grammatik
   [astronomie], % Beispiellexikon, Datenbank
   [semantik],   % LambdaTerm-Semantik, zum Vergleich
   ['Semantik/semDrs.pl',    % LambdaDrs-Semantik
    'Semantik/lambdaDrs.pl', % Reduktion + Mergen
    'Semantik/typeDrs.pl',   % DRS-Typisierung
    'Semantik/resolveDrs.pl' % Pronomenauflösung
   ].                         

parsedrsr :-
    write('Beende die Eingabe mit <Punkt><Return>'),
    nl,tokenizer:read_discourse(user,[],[],Discourse),
    tokenize(Discourse,Atomlist),
    startsymbol(d([def])),
    addTree:translate(d([def]),Term,[Baum]),  
    addDifflists:translate(Term,TermExp,Atomlist,[]),
    nl,write('Aufruf: '), portray_clause(TermExp),
    call(TermExp), 
    write('Baum:   '), nl, writeTrLamDrs(Baum,8),nl,
    fail.
parsedrsr.

